parser_params Struct Reference

## Data Fields

int | is_ripper
NODE * | heap
YYSTYPE * | parser_yylval
VALUE | eofp
NODE * | parser_lex_strterm
enum lex_state_e | parser_lex_state
stack_type | parser_cond_stack
stack_type | parser_cmdarg_stack
int | parser_class_nest
int | parser_paren_nest
int | parser_lpar_beg
int | parser_in_single
int | parser_in_def
int | parser_compile_for_eval
VALUE | parser_cur_mid
int | parser_in_defined
char * | parser_tokenbuf
int | parser_tokidx
int | parser_toksiz
VALUE | parser_lex_input
VALUE | parser_lex_lastline
VALUE | parser_lex_nextline
const char * | parser_lex_pbeg
const char * | parser_lex_p
const char * | parser_lex_pend
int | parser_heredoc_end
int | parser_command_start
NODE * | parser_deferred_nodes
long | parser_lex_gets_ptr
VALUE(* | parser_lex_gets )(struct parser_params *, VALUE)
struct local_vars * | parser_lvtbl
int | parser_ruby__end__seen
int | line_count
int | has_shebang
char * | parser_ruby_sourcefile
int | parser_ruby_sourceline
rb_encoding * | enc
rb_encoding * | utf8
int | parser_yydebug
NODE * | parser_eval_tree_begin
NODE * | parser_eval_tree
VALUE | debug_lines
VALUE | coverage
int | nerr
int | parser_token_info_enabled
token_info * | parser_token_info

## Detailed Description

Definition at line 257 of file ripper.c.

## Field Documentation

VALUE parser_params::coverage

Definition at line 306 of file ripper.c.

VALUE parser_params::debug_lines

Definition at line 305 of file ripper.c.

Referenced by parser_mark().

rb_encoding * parser_params::enc

Definition at line 296 of file ripper.c.

Referenced by gettable_gen(), int_chr(), lex_get_str(), lex_getline(), must_be_ascii_compatible(), parser_here_document(), parser_initialize(), parser_nextc(), parser_parse_string(), parser_prepare(), parser_set_encode(), parser_tokadd_string(), parser_yylex(), rb_parser_encoding(), reg_fragment_setenc_gen(), and reg_named_capture_assign_iter().

VALUE parser_params::eofp

Definition at line 262 of file ripper.c.

Referenced by parser_here_document(), parser_initialize(), parser_nextc(), parser_parse_string(), and parser_yylex().

int parser_params::has_shebang

Definition at line 293 of file ripper.c.

Referenced by comment_at_top(), and parser_prepare().

NODE * parser_params::heap

Definition at line 259 of file ripper.c.

Referenced by parser_initialize(), parser_mark(), rb_parser_free(), and rb_parser_realloc().

int parser_params::is_ripper

Definition at line 258 of file ripper.c.

Referenced by parser_initialize().

int parser_params::line_count

Definition at line 292 of file ripper.c.

Referenced by comment_at_top(), and parser_nextc().

int parser_params::nerr

Definition at line 307 of file ripper.c.

Referenced by yycompile0().

int parser_params::parser_class_nest

Definition at line 268 of file ripper.c.

Referenced by parser_initialize().

stack_type parser_params::parser_cmdarg_stack

Definition at line 267 of file ripper.c.

Referenced by parser_initialize().

int parser_params::parser_command_start

Definition at line 286 of file ripper.c.

Referenced by parser_initialize().

int parser_params::parser_compile_for_eval

Definition at line 273 of file ripper.c.

Referenced by parser_initialize().

stack_type parser_params::parser_cond_stack

Definition at line 266 of file ripper.c.

Referenced by parser_initialize().

VALUE parser_params::parser_cur_mid

Definition at line 274 of file ripper.c.

Referenced by parser_initialize().

NODE * parser_params::parser_deferred_nodes

Definition at line 287 of file ripper.c.

Referenced by parser_initialize(), and parser_mark().

NODE * parser_params::parser_eval_tree

Definition at line 304 of file ripper.c.

Referenced by parser_initialize(), and parser_mark().

NODE * parser_params::parser_eval_tree_begin

Definition at line 303 of file ripper.c.

Referenced by parser_initialize(), and parser_mark().

int parser_params::parser_heredoc_end

Definition at line 285 of file ripper.c.

Referenced by parser_initialize().

int parser_params::parser_in_def

Definition at line 272 of file ripper.c.

Referenced by parser_initialize().

int parser_params::parser_in_defined

Definition at line 275 of file ripper.c.

Referenced by parser_initialize().

int parser_params::parser_in_single

Definition at line 271 of file ripper.c.

Referenced by parser_initialize().

VALUE(* parser_params::parser_lex_gets)(struct parser_params *, VALUE)

Definition at line 289 of file ripper.c.

Referenced by lex_getline().

long parser_params::parser_lex_gets_ptr

Definition at line 288 of file ripper.c.

VALUE parser_params::parser_lex_input

Definition at line 279 of file ripper.c.

Referenced by lex_getline(), and parser_mark().

VALUE parser_params::parser_lex_lastline

Definition at line 280 of file ripper.c.

Referenced by parser_mark().

VALUE parser_params::parser_lex_nextline

Definition at line 281 of file ripper.c.

Referenced by parser_mark().

const char * parser_params::parser_lex_p

Definition at line 283 of file ripper.c.

Referenced by parser_initialize().

const char * parser_params::parser_lex_pbeg

Definition at line 282 of file ripper.c.

Referenced by parser_initialize().

const char * parser_params::parser_lex_pend

Definition at line 284 of file ripper.c.

Referenced by parser_initialize().

enum lex_state_e parser_params::parser_lex_state

Definition at line 265 of file ripper.c.

NODE * parser_params::parser_lex_strterm

Definition at line 264 of file ripper.c.

Referenced by parser_initialize(), and parser_mark().

int parser_params::parser_lpar_beg

Definition at line 270 of file ripper.c.

Referenced by parser_initialize().

struct local_vars * parser_params::parser_lvtbl

Definition at line 290 of file ripper.c.

Referenced by parser_free(), parser_initialize(), and parser_memsize().

int parser_params::parser_paren_nest

Definition at line 269 of file ripper.c.

Referenced by parser_initialize().

int parser_params::parser_ruby__end__seen

Definition at line 291 of file ripper.c.

Referenced by parser_initialize().

char * parser_params::parser_ruby_sourcefile

Definition at line 294 of file ripper.c.

Referenced by parser_free(), parser_initialize(), and parser_memsize().

int parser_params::parser_ruby_sourceline

Definition at line 295 of file ripper.c.

token_info * parser_params::parser_token_info

Definition at line 310 of file ripper.c.

Referenced by token_info_pop(), and token_info_push().

int parser_params::parser_token_info_enabled

Definition at line 309 of file ripper.c.

Referenced by parser_set_token_info(), token_info_pop(), token_info_push(), and yycompile0().

char * parser_params::parser_tokenbuf

Definition at line 276 of file ripper.c.

Referenced by parser_free(), and parser_initialize().

int parser_params::parser_tokidx

Definition at line 277 of file ripper.c.

Referenced by parser_initialize().

int parser_params::parser_toksiz

Definition at line 278 of file ripper.c.

Referenced by parser_initialize(), and parser_memsize().

int parser_params::parser_yydebug

Definition at line 299 of file ripper.c.

YYSTYPE * parser_params::parser_yylval

Definition at line 261 of file ripper.c.

Referenced by yylex().

rb_encoding * parser_params::utf8

Definition at line 297 of file ripper.c.

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- ext/ripper/ripper.y
- parse.c
- parse.y